%define upstream_name XML-RSSLite
%define upstream_version 0.15

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Lightweight, "relaxed" RSS and XML-ish parser
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tgz
BuildArch:	noarch

%description
Lightweight, "relaxed" RSS and XML-ish parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS="vendor"
%make_build

%install
%make_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec rm {} \;

%files
%doc CHANGES README
%dir %{perl_vendorlib}/XML/
%{perl_vendorlib}/XML/RSSLite.pm
%{_mandir}/man3/XML::RSSLite.3pm*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-6.mga9
+ Revision: 1806768
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-5.mga8
+ Revision: 1498531
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-4.mga7
+ Revision: 1272790
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1036073
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 968796
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 855416
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.15-5.mga5
+ Revision: 740234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15-4.mga5
+ Revision: 686954
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.15-3.mga4
+ Revision: 516167
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.15-2.mga3
+ Revision: 375149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 solbu <solbu> 0.15-1.mga3
+ Revision: 322301
- initial Mageia package

